:root {
    --yco-mu-white: #fff;
    --yco-mu-gray-100: #B3B3B3;
    --yco-mu-gray-200: #808080;
    --yco-mu-gray-300: #5A5A5A;
    --yco-mu-black: #000;
    --yco-mu-dark: var(--yco-mu-gray-300);
    --yco-mu-blue: #426DFF;
    --yco-mu-cyan: #42A9FF;
    --yco-mu-teal: #33FFDA;
    --yco-mu-green: #5E9F9F;
    --yco-mu-red: #FF6060;
}

body.login {
    font-family: Roboto, sans-serif;
    line-height: 1.2;
    display: flex;
    align-items: center;
    flex-direction: column;
}

body.login a {
    color: var(--yco-mu-cyan);
    transition: 0.3s ease-in-out;
    outline: 0;
}

body.login a:hover, body.login a:focus, body.login a a:active {
    color: var(--yco-mu-blue);
    box-shadow: none;
}

body.login h1 a {
    background: url("../images/yco-logo.svg") no-repeat center;
    background-size: contain;
    margin-bottom: 1rem;
    width: auto;
    max-width: 100%;
    height: 60px;
}

body.login form {
    margin-top: 0;
}

body.login #nav {
    padding: 0;
    margin-top: 1rem;
}

body.login #nav > a {
    display: flex;
    text-decoration: none;
    font-size: 13px;
    line-height: 1;
    padding: 6px 12px;
    cursor: pointer;
    border: 1px solid var(--yco-mu-dark);
    background-color: var(--yco-mu-dark);
    transition: 0.2s ease-in-out;
    color: var(--yco-mu-white);
    border-radius: 3px;
    white-space: nowrap;
    box-sizing: border-box;
    justify-content: center;
    align-items: center;
    margin-bottom: 0.5rem;
    min-height: 32px;
}

body.login #nav > a:hover {
    border: 1px solid var(--yco-mu-black);
    background-color: var(--yco-mu-black);
    transition: 0.2s ease-in-out;
    color: var(--yco-mu-white);
}

body.login #nav > a:focus {
    color: var(--yco-mu-white);
    box-shadow: none;
}

body.login .button.button-primary {
    background: var(--yco-mu-blue);
    border-color: var(--yco-mu-blue);
    color: #fff;
    transition: 0.2s ease-in-out;
}

body.login .button.button-primary:hover, body.login .button.button-primary:active {
    transition: 0.2s ease-in-out;
    background: var(--yco-mu-cyan);
    border-color: var(--yco-mu-cyan);
}

body.login .forgetmenot {
    line-height: 32px;
}

body.login .wp_google_login__button {
    transition: 0.2s ease-in-out;
    color: var(--yco-mu-black);
}

body.login .wp_google_login__button:hover {
    background-color: var(--yco-mu-black);
    transition: 0.2s ease-in-out;
    color: var(--yco-mu-white);
}

body.login .wp_google_login__button .wp_google_login__google-icon {
    background: url("../images/yco-logo.svg") no-repeat center;
    background-size: contain;
}

body.login #backtoblog {
    padding: 0;
}

body.login .message, body.login .success, body.login #login_error {
    border-left: 4px solid var(--yco-mu-blue);
    padding: 12px;
    margin-left: 0;
    margin-bottom: 20px;
    background-color: var(--yco-mu-white);
    box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.3);
    word-wrap: break-word;
}

body.login .success {
    border-left-color: var(--yco-mu-teal);
}

body.login #login_error {
    border-left-color: var(--yco-mu-red);
}

body.login .wp_google_login {
    margin-top: 60px;
}
